For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all product items
      • POSTCreate a product item
      • PUTUpdate or create a product item (upsert)
      • GETGet a product item
      • DELDelete a product item
      • PATCHUpdate a product item
      • POSTActivate a product item
      • POSTDeprecate a product item
      • POSTArchive a product item
      • POSTSearch product items.
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIProduct Items

Create a product item

POST
/v:version/product-items
POST
/v:version/product-items
$curl -X POST https://test.api.solvimon.com/v1/product-items \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "product_id": "prod_jwDeAN0tsJCV11BBeT1h",
> "name": "reimbursed_amount",
> "reference": "string",
> "model_type": "USAGE_BASED",
> "description": "reimbursed amount",
> "tax_category": "STANDARD",
> "meter_value_calculation_id": "bmet_AwDeeF0tu31PTQAbeN1t"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "product_id": "string",
5 "product": {
6 "object_type": "string",
7 "id": "string",
8 "category_id": "string",
9 "category": {
10 "object_type": "string",
11 "id": "string",
12 "name": "string",
13 "reference": "string",
14 "description": "string",
15 "tax_category": "STANDARD",
16 "display_order": 1,
17 "customer_id": "string"
18 },
19 "parent_product_id": "string",
20 "name": "string",
21 "reference": "string",
22 "description": "string",
23 "status": "DRAFT",
24 "product_type": "DEFAULT",
25 "tax_category": "STANDARD",
26 "features": [
27 {
28 "id": "string",
29 "reference": "string"
30 }
31 ],
32 "custom_fields": [
33 {
34 "id": "string",
35 "reference": "string",
36 "value": "string",
37 "values": [
38 "string"
39 ],
40 "integration_details": {
41 "id": "string",
42 "reference": "string",
43 "payment_gateway_variant": "ADYEN",
44 "adyen": {
45 "recurring_detail_reference": "string"
46 },
47 "stripe": {
48 "payment_method_id": "string"
49 }
50 }
51 }
52 ],
53 "display_order": 1,
54 "linked_integrations": [
55 {
56 "id": "string",
57 "link_details": [
58 {
59 "url": "string",
60 "custom_field_name": "string"
61 }
62 ]
63 }
64 ],
65 "billing_entity_id": "string",
66 "customer_id": "string"
67 },
68 "name": "string",
69 "status": "DRAFT",
70 "reference": "string",
71 "description": "string",
72 "type": "REVENUE",
73 "model_type": "USAGE_BASED",
74 "usage_based": {
75 "meter_value_calculation_id": "string",
76 "meter_value_calculation": {
77 "object_type": "string",
78 "id": "string",
79 "reference": "string",
80 "name": "string",
81 "description": "string",
82 "calculation_type": "SUM",
83 "persist": true,
84 "meter_id": "string",
85 "meter": {
86 "object_type": "string",
87 "id": "string",
88 "reference": "string",
89 "name": "string",
90 "description": "string",
91 "status": "DRAFT",
92 "meter_values": [
93 {
94 "id": "string",
95 "object": {
96 "object_type": "string",
97 "id": "string",
98 "reference": "string",
99 "name": "string",
100 "description": "string",
101 "status": "DRAFT",
102 "type": "NUMBER"
103 },
104 "required": true
105 }
106 ],
107 "meter_properties": [
108 {
109 "id": "string",
110 "object": {
111 "object_type": "string",
112 "id": "string",
113 "reference": "string",
114 "name": "string",
115 "description": "string",
116 "status": "DRAFT",
117 "type": "NUMBER",
118 "enum_values": [
119 "string"
120 ]
121 },
122 "required": true
123 }
124 ]
125 },
126 "meter_value_id": "string",
127 "meter_value": {
128 "object_type": "string",
129 "id": "string",
130 "reference": "string",
131 "name": "string",
132 "description": "string",
133 "status": "DRAFT",
134 "type": "NUMBER"
135 },
136 "meter_property_id": "string",
137 "meter_property": {
138 "object_type": "string",
139 "id": "string",
140 "reference": "string",
141 "name": "string",
142 "description": "string",
143 "status": "DRAFT",
144 "type": "NUMBER",
145 "enum_values": [
146 "string"
147 ]
148 }
149 },
150 "tiering_meter_value_calculation_id": "string",
151 "tiering_meter_value_calculation": {
152 "object_type": "string",
153 "id": "string",
154 "reference": "string",
155 "name": "string",
156 "description": "string",
157 "calculation_type": "SUM",
158 "persist": true,
159 "meter_id": "string",
160 "meter": {
161 "object_type": "string",
162 "id": "string",
163 "reference": "string",
164 "name": "string",
165 "description": "string",
166 "status": "DRAFT",
167 "meter_values": [
168 {
169 "id": "string",
170 "object": {
171 "object_type": "string",
172 "id": "string",
173 "reference": "string",
174 "name": "string",
175 "description": "string",
176 "status": "DRAFT",
177 "type": "NUMBER"
178 },
179 "required": true
180 }
181 ],
182 "meter_properties": [
183 {
184 "id": "string",
185 "object": {
186 "object_type": "string",
187 "id": "string",
188 "reference": "string",
189 "name": "string",
190 "description": "string",
191 "status": "DRAFT",
192 "type": "NUMBER",
193 "enum_values": [
194 "string"
195 ]
196 },
197 "required": true
198 }
199 ]
200 },
201 "meter_value_id": "string",
202 "meter_value": {
203 "object_type": "string",
204 "id": "string",
205 "reference": "string",
206 "name": "string",
207 "description": "string",
208 "status": "DRAFT",
209 "type": "NUMBER"
210 },
211 "meter_property_id": "string",
212 "meter_property": {
213 "object_type": "string",
214 "id": "string",
215 "reference": "string",
216 "name": "string",
217 "description": "string",
218 "status": "DRAFT",
219 "type": "NUMBER",
220 "enum_values": [
221 "string"
222 ]
223 }
224 },
225 "report_meter_value_calculation_ids": [
226 "string"
227 ],
228 "conditions": {
229 "name": "string",
230 "expression": {
231 "operator": "AND",
232 "operands": [
233 {
234 "meter_property": {
235 "id": "string",
236 "reference": "string",
237 "meter_property": {
238 "object_type": "string",
239 "id": "string",
240 "reference": "string",
241 "name": "string",
242 "description": "string",
243 "status": "DRAFT",
244 "type": "NUMBER",
245 "enum_values": [
246 "string"
247 ]
248 },
249 "value": "string",
250 "values": [
251 "string"
252 ],
253 "comparator": "EQUALS"
254 },
255 "expression": {}
256 }
257 ]
258 },
259 "meter_properties": [
260 {
261 "id": "string",
262 "reference": "string",
263 "meter_property": {
264 "object_type": "string",
265 "id": "string",
266 "reference": "string",
267 "name": "string",
268 "description": "string",
269 "status": "DRAFT",
270 "type": "NUMBER",
271 "enum_values": [
272 "string"
273 ]
274 },
275 "value": "string",
276 "values": [
277 "string"
278 ],
279 "comparator": "EQUALS"
280 }
281 ]
282 }
283 },
284 "credits": {
285 "credit_type_id": "string",
286 "credit_type": {
287 "object_type": "string",
288 "id": "string",
289 "reference": "string",
290 "status": "DRAFT",
291 "name": "string",
292 "description": "string",
293 "unit_name": {
294 "singular": "string",
295 "plural": "string"
296 },
297 "created_at": "string",
298 "updated_at": "string"
299 }
300 },
301 "meter_value_calculation": {
302 "object_type": "string",
303 "id": "string",
304 "reference": "string",
305 "name": "string",
306 "description": "string",
307 "calculation_type": "SUM",
308 "persist": true,
309 "meter_id": "string",
310 "meter": {
311 "object_type": "string",
312 "id": "string",
313 "reference": "string",
314 "name": "string",
315 "description": "string",
316 "status": "DRAFT",
317 "meter_values": [
318 {
319 "id": "string",
320 "object": {
321 "object_type": "string",
322 "id": "string",
323 "reference": "string",
324 "name": "string",
325 "description": "string",
326 "status": "DRAFT",
327 "type": "NUMBER"
328 },
329 "required": true
330 }
331 ],
332 "meter_properties": [
333 {
334 "id": "string",
335 "object": {
336 "object_type": "string",
337 "id": "string",
338 "reference": "string",
339 "name": "string",
340 "description": "string",
341 "status": "DRAFT",
342 "type": "NUMBER",
343 "enum_values": [
344 "string"
345 ]
346 },
347 "required": true
348 }
349 ]
350 },
351 "meter_value_id": "string",
352 "meter_value": {
353 "object_type": "string",
354 "id": "string",
355 "reference": "string",
356 "name": "string",
357 "description": "string",
358 "status": "DRAFT",
359 "type": "NUMBER"
360 },
361 "meter_property_id": "string",
362 "meter_property": {
363 "object_type": "string",
364 "id": "string",
365 "reference": "string",
366 "name": "string",
367 "description": "string",
368 "status": "DRAFT",
369 "type": "NUMBER",
370 "enum_values": [
371 "string"
372 ]
373 }
374 },
375 "tax_category": "STANDARD",
376 "display_order": 1,
377 "unit_name": {
378 "singular": "string",
379 "plural": "string"
380 },
381 "custom_fields": [
382 {
383 "id": "string",
384 "reference": "string",
385 "value": "string",
386 "values": [
387 "string"
388 ],
389 "integration_details": {
390 "id": "string",
391 "reference": "string",
392 "payment_gateway_variant": "ADYEN",
393 "adyen": {
394 "recurring_detail_reference": "string"
395 },
396 "stripe": {
397 "payment_method_id": "string"
398 }
399 }
400 }
401 ],
402 "customer_id": "string",
403 "meter_value_calculation_id": "string",
404 "report_meter_value_calculation_ids": [
405 "string"
406 ]
407}

Requires the PRODUCT_ITEM.CREATE permission.

Was this page helpful?
Previous

Update or create a product item (upsert)

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
product_idstring or nullRequired
The resource ID of the product, that belongs to the product item.
namestring or nullRequiredformat: "^.*$"0-256 characters
referencestringRequiredformat: "^\S+$"0-256 characters
model_typeenum or nullRequired
productobject or nullOptional
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
typeenum or nullOptional
The type of the product item.
Allowed values:
usage_basedobjectOptional

Additional settings in case of a USAGE_BASED type.

creditsobjectOptional
Additional settings in case of a CREDITS type.
meter_value_calculationobject or nullOptional
tax_categoryenum or nullOptional
The default tax category applied to the product item.
Allowed values:
display_orderinteger or nullOptional
unit_nameobjectOptional
custom_fieldslist of objects or nullOptional
Custom fields associated to this product item
meter_value_calculation_idstring or nullOptionalDeprecated

The linked meter value calculation, in case of a USAGE_BASED charge type.

report_meter_value_calculation_idslist of strings or nullOptionalDeprecated

Optional reporting meter value calculations, in case of a USAGE_BASED charge type.

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
product_idstring or null
The resource ID of the product, that belongs to the product item.
productobject or null
namestring or nullformat: "^.*$"0-256 characters
statusenum or nullRead-only
Allowed values:
referencestringformat: "^\S+$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
typeenum or null
The type of the product item.
Allowed values:
model_typeenum or null
usage_basedobject

Additional settings in case of a USAGE_BASED type.

creditsobject
Additional settings in case of a CREDITS type.
meter_value_calculationobject or null
tax_categoryenum or null
The default tax category applied to the product item.
Allowed values:
display_orderinteger or null
unit_nameobject
custom_fieldslist of objects or null
Custom fields associated to this product item
customer_idstring or nullRead-only
meter_value_calculation_idstring or nullDeprecated

The linked meter value calculation, in case of a USAGE_BASED charge type.

report_meter_value_calculation_idslist of strings or nullDeprecated

Optional reporting meter value calculations, in case of a USAGE_BASED charge type.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error